driver_for_each_device
Prev | Device Drivers Base | Next

## Name

driver_for_each_device — Iterator for devices bound to a driver.

## Synopsis

`int driver_for_each_device (` | struct device_driver * | drv,
| struct device * | start,
| void * | data,
| int (* | fn`(`struct device *, void *`)``)`;

## Arguments

`drv`

  Driver we're iterating.

`start`

  Device to begin with

`data`

  Data to pass to the callback.

`fn`

  Function to call for each device.

## Description

Iterate over the `drv`'s list of devices calling `fn` for each one.

Prev | Up | Next
Chapter 18. Device drivers infrastructure | Home | driver_find_device